putty
API ReferenceTools

Read a catalog item

Returns one item with every published version. A private item owned by another user answers with the same 404 as an item that does not exist, so the response never confirms the existence of someone else's item.

GET
/catalog/items/{itemId}

Returns one item with every published version. A private item owned by another user answers with the same 404 as an item that does not exist, so the response never confirms the existence of someone else's item.

Path Parameters

itemId*string

The item to read.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/catalog/items/string"
{  "id": "string",  "kind": "template",  "status": "official",  "title": "string",  "description": "string",  "tags": [    "string"  ],  "installs": 0,  "ownerId": "string",  "version": "string",  "usage": "string",  "compatibleTemplates": [    "string"  ],  "dependencies": [    "string"  ],  "registryDependencies": [    "string"  ],  "files": [    {      "path": "string",      "content": "string"    }  ],  "reviewNote": "string",  "createdAt": "string",  "updatedAt": "string",  "versions": [    {      "version": "string",      "manifest": null,      "registry": null,      "reviewNote": "string",      "createdAt": "string"    }  ]}